<?php
/**
 * The template for displaying the header
 *
 * Displays all of the head element and everything up until the "site-content" div.
 */

?><!DOCTYPE html>
<html <?php language_attributes(); ?> class="no-js" style="font-size:<?php echo apply_filters('theme_base_font_size', '16'); ?>px">
<head>
    <meta charset="<?php bloginfo( 'charset' ); ?>">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="profile" href="http://gmpg.org/xfn/11">
    <?php if ( is_singular() && pings_open( get_queried_object() ) ) : ?>
        <link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
    <?php endif; ?>
    <?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
<div id="page" class="site">
    <a class="skip-link screen-reader-text" href="#content"><?php _e( 'Skip to content', 'evo2wp1' ); ?></a>

    <header class="u-border-1 u-border-grey-25 u-clearfix u-header u-header" id="sec-e5e6" style="background-image: none;">
  <div class="u-clearfix u-sheet u-sheet-1">
    <?php
            ob_start();
            ?><nav class="u-align-left u-font-size-14 u-menu u-nav-spacing-25 u-offcanvas u-menu-1" data-responsive-from="XL">
      <div class="menu-collapse">
        <a class="u-button-style u-nav-link" href="#" style="padding: 4px 24px; font-size: calc(1em + 8px);">
          <svg class="u-svg-link" preserveAspectRatio="xMidYMin slice" viewBox="0 0 496 496" style="undefined">
            <use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="#svg-5c70"></use>
          </svg>
          <svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" version="1.1" id="svg-5c70" x="0px" y="0px" viewBox="0 0 496 496" style="enable-background:new 0 0 496 496;" xml:space="preserve" class="u-svg-content">
            <g>
              <path style="fill:#458AC9;" d="M472.8,128H23.2C10.4,128,0,116.8,0,104s10.4-24,23.2-24h449.6c12.8,0,23.2,11.2,23.2,24   C496,116.8,485.6,128,472.8,128z"></path>
              <path style="fill:#458AC9;" d="M472.8,272H23.2C10.4,272,0,260.8,0,248c0-12.8,10.4-24,23.2-24h449.6c12.8,0,23.2,11.2,23.2,24   C496,260.8,485.6,272,472.8,272z"></path>
              <path style="fill:#458AC9;" d="M472.8,416H23.2C10.4,416,0,404.8,0,392s10.4-24,23.2-24h449.6c12.8,0,23.2,11.2,23.2,24   C496,404.8,485.6,416,472.8,416z"></path>
            </g>
            <g>
              <path style="fill:#1E7BC1;" d="M472.8,368h-108l46.4,48H472c12.8,0,23.2-11.2,23.2-24C496,379.2,485.6,368,472.8,368z"></path>
              <path style="fill:#1E7BC1;" d="M472.8,224H222.4l46.4,48H472c12.8,0,23.2-11.2,23.2-24C495.2,235.2,485.6,224,472.8,224z"></path>
              <path style="fill:#1E7BC1;" d="M472.8,80H80l46.4,48H472c12.8,0,23.2-11.2,23.2-24C496,91.2,485.6,80,472.8,80z"></path>
            </g>
            <g></g>
            <g></g>
            <g></g>
            <g></g>
            <g></g>
            <g></g>
            <g></g>
            <g></g>
            <g></g>
            <g></g>
            <g></g>
            <g></g>
            <g></g>
            <g></g>
            <g></g>
          </svg>
        </a>
      </div>
      <div class="u-custom-menu u-nav-container">
        {menu}
      </div>
      <div class="u-custom-menu u-nav-container-collapse">
        <div class="u-align-center u-black u-container-style u-inner-container-layout u-opacity u-opacity-95 u-sidenav">
          <div class="u-menu-close"></div>
          {responsive_menu}
        </div>
        <div class="u-black u-menu-overlay u-opacity u-opacity-70"></div>
      </div>
    </nav><?php
            $menu_template = ob_get_clean();
            echo Theme_NavMenu::getMenuHtml(array(
                'container_class' => 'u-align-left u-font-size-14 u-menu u-nav-spacing-25 u-offcanvas u-menu-1',
                'menu' => array(
                    'menu_class' => 'u-nav u-spacing-25 u-unstyled',
                    'item_class' => 'u-nav-item',
                    'link_class' => 'u-button-style u-nav-link',
                    'submenu_class' => 'u-h-spacing-20 u-nav u-unstyled u-v-spacing-10 u-white u-nav-2',
                    'submenu_item_class' => 'u-nav-item',
                    'submenu_link_class' => 'u-button-style u-nav-link',
                ),
                'responsive_menu' => array(
                    'menu_class' => 'u-align-center u-nav u-sidenav-items u-unstyled u-nav-3',
                    'item_class' => 'u-nav-item',
                    'link_class' => 'u-button-style u-nav-link',
                    'submenu_class' => 'u-h-spacing-20 u-nav u-unstyled u-v-spacing-10 u-white u-nav-4',
                    'submenu_item_class' => 'u-nav-item',
                    'submenu_link_class' => 'u-button-style u-nav-link',
                ),
                'theme_location' => 'primary-navigation-1',
                'template' => $menu_template,
            )); ?>
    <?php get_search_form(); ?>
    <?php $logo = theme_get_logo(array(
            'default_src' => "/images/1cc0be500582424c08f0f144d9619620.png",
            'default_url' => home_url('/'),
        )); ?><a <?php if (is_customize_preview()) echo 'data-default-src="' . esc_url($logo['default_src']) . '" '; ?>href="<?php echo esc_url($logo['url']); ?>" class="u-image u-logo u-image-1 custom-logo-link" src="" data-image-width="1226" data-image-height="546">
      <img src="<?php echo esc_url($logo['src']); ?>" class="u-logo-image u-logo-image-1">
    </a>
  </div>
</header>

    <div id="content">
