<?php

/**
 * Theme settings
 *
 * @param array $settings
 * @return array
 */
function theme_nicepage_settings($settings) {
    return json_decode(<<<JSON
    {
    "title": "Evolution Ready",
    "homePageId": "718015546",
    "headTitle": "Website Design Services ",
    "description": "We are a non automatized website design company, we are passion to work with small business and we have been helping since 2005, e-commerce, info website, spa websites, educational websites, legal help websites, makerting and hosting services",
    "keywords": "Website design services in Miami , website design , website designer, find a website designer, websites , buy a website , website for sale ",
    "analytics": "",
    "googleTagManager": "",
    "metaTags": "",
    "headHtml": "",
    "customCss": "",
    "showBrand": "false",
    "colorScheme": {
        "name": "chill",
        "isDefault": true,
        "bodyColors": [
            "#111111",
            "#ffffff"
        ],
        "colors": [
            "#73a3de",
            "#4c637f",
            "#8bc9ba",
            "#92e4fd",
            "#b8c1cc"
        ],
        "bgColor": "#ffffff",
        "shadingContrast": "body-alt-color",
        "whiteContrast": "body-color",
        "bgContrast": "body-color"
    },
    "fontScheme": {
        "name": "OpenSans-Roboto",
        "isDefault": true,
        "fonts": {
            "heading": "Open Sans, sans-serif",
            "text": "Roboto, sans-serif",
            "accent": "Arial, sans-serif",
            "headingTitle": "Open Sans",
            "textTitle": "Roboto"
        }
    },
    "typography": {
        "name": "Normal",
        "isDefault": true,
        "title": {
            "font-weight": "400",
            "font-size": 4.5,
            "line-height": "1_1",
            "margin-top": 20,
            "margin-bottom": 20
        },
        "subtitle": {
            "font-weight": "400",
            "font-size": 2.25,
            "line-height": "1_1",
            "margin-top": 20,
            "margin-bottom": 20
        },
        "h1": {
            "font-weight": "400",
            "font-size": 3,
            "line-height": "1_1",
            "margin-top": 20,
            "margin-bottom": 20
        },
        "h2": {
            "font-weight": "400",
            "font-size": 2.25,
            "line-height": "1_1",
            "margin-top": 20,
            "margin-bottom": 20
        },
        "h3": {
            "font-weight": "400",
            "font-size": 1.875,
            "line-height": "1_2",
            "margin-top": 20,
            "margin-bottom": 20
        },
        "h4": {
            "font-weight": "400",
            "font-size": 1.5,
            "line-height": "1_2",
            "margin-top": 20,
            "margin-bottom": 20
        },
        "h5": {
            "font-weight": "400",
            "font-size": 1.25,
            "line-height": "1_2",
            "margin-top": 20,
            "margin-bottom": 20
        },
        "h6": {
            "font-weight": "400",
            "font-size": 1.125,
            "line-height": "1_2",
            "margin-top": 20,
            "margin-bottom": 20
        },
        "largeText": {
            "font-size": 1.25,
            "margin-top": 20,
            "margin-bottom": 20
        },
        "smallText": {
            "font-size": 0.875,
            "margin-top": 20,
            "margin-bottom": 20
        },
        "text": {
            "margin-top": 20,
            "margin-bottom": 20
        },
        "link": {
            "text-color": "palette-1-base",
            "margin-top": 20,
            "margin-bottom": 20
        },
        "button": {
            "color": "palette-1-base",
            "margin-top": 20,
            "margin-bottom": 20
        },
        "blockquote": {
            "font-style": "italic",
            "indent": 20,
            "border": 4,
            "border-color": "palette-1-base",
            "margin-top": 20,
            "margin-bottom": 20
        },
        "metadata": {
            "margin-top": 20,
            "margin-bottom": 20
        },
        "list": {
            "margin-top": 20,
            "margin-bottom": 20
        },
        "orderedlist": {
            "margin-top": 20,
            "margin-bottom": 20
        },
        "postContent": {
            "margin-top": 20,
            "margin-bottom": 20
        },
        "htmlBaseSize": 16
    },
    "id": 93595893
}
JSON
, true);
}
add_filter('nicepage_theme_settings', 'theme_nicepage_settings');

function theme_analytics() {
?>
    
<?php
}
add_action('wp_head', 'theme_analytics', 0);