<?php
defined('ABSPATH') or die;

class NpGetManifestAction extends NpAction {

    /**
     * Process action entrypoint
     */
    public static function process() {

        header('Content-Type: text/cache-manifest');
        header("Cache-Control: no-store, no-cache, must-revalidate, max-age=0");
        header("Cache-Control: post-check=0, pre-check=0", false);
        header("Pragma: no-cache");

        $base_dir = NICEPAGE_PLUGIN_URL . 'editor/assets/app';
        $ver = NICEPAGE_PLUGIN_VERSION;

        echo <<<MANIFEST
CACHE MANIFEST

CACHE:
$base_dir/loader.js?v=$ver
$base_dir/app.js?v=$ver
$base_dir/app.css?v=$ver

NETWORK:
*
MANIFEST;
    }

    /**
     * Check ajax referrer
     */
    public static function checkAjaxReferer() {
        // do not check ajax referer
    }
}
NpAction::add('np_get_manifest', 'NpGetManifestAction');